CHECKHIER(8)

NAME
checkhier - check the directory hierarchy

SYNOPSIS
checkhier

DESCRIPTION
Checkhier checks a number of files and directories that make up the top level file system hierarchy. The output of the command is a script that could be applied to fix things like bad mode, wrong owner or group, etc.

The script should never be executed without checking. I might be better to examine the differences oneself and to fix any problems by hand.

Checkhier must be run by the superuser.

SEE ALSO
chmod(1), chown(8), hier(7).

DIAGNOSTICS
The exit code is 0 if all checks out right, otherwise a script is output and the exit code is 1.

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)